/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Apache Log4cxx", "index.html", [
    [ "Short introduction to Apache Log4cxx", "index.html#autotoc_md37", null ],
    [ "Community", "community.html", [
      [ "Issue Tracking", "issue-tracking.html", [
        [ "Overview", "issue-tracking.html#autotoc_md12", null ],
        [ "Issue Tracking", "issue-tracking.html#autotoc_md13", null ]
      ] ],
      [ "Mailing Lists", "mailing-lists.html", null ]
    ] ],
    [ "Use", "usage-overview.html", [
      [ "Quick Start", "quick-start.html", [
        [ "A Simple Example", "quick-start.html#example1", null ],
        [ "A Less Simple Example", "quick-start.html#example2", null ],
        [ "Runtime Configuration", "quick-start.html#configuration", null ]
      ] ],
      [ "Loggers, Appenders and Layouts", "concepts.html", [
        [ "Loggers", "concepts.html#loggers", [
          [ "Naming", "concepts.html#naming", null ],
          [ "Instantiation", "concepts.html#getLogger", null ],
          [ "Requests", "concepts.html#requests", [
            [ "Logging Custom Types", "concepts.html#custom-types", null ],
            [ "Using {fmt} style requests", "concepts.html#logging-with-fmt", null ],
            [ "Overhead", "concepts.html#request-cost", null ],
            [ "Removing log requests", "concepts.html#removing-log-statements", null ],
            [ "Removing location information", "concepts.html#removing-location-information", null ]
          ] ],
          [ "Levels", "concepts.html#levels", [
            [ "Level Inheritance", "concepts.html#level-inheritance", null ],
            [ "Basic Selection Rule", "concepts.html#selection-rule", null ]
          ] ]
        ] ],
        [ "Appenders", "concepts.html#appenders", [
          [ "Additivity", "concepts.html#appender-additivity", null ]
        ] ],
        [ "Layouts", "concepts.html#layouts", [
          [ "Pattern 1", "concepts.html#pattern1", null ],
          [ "Pattern 2", "concepts.html#pattern2", null ],
          [ "Pattern 3", "concepts.html#pattern3", null ],
          [ "Pattern 4", "concepts.html#pattern4", null ]
        ] ]
      ] ],
      [ "Configuration Samples", "configuration-samples.html", [
        [ "Default Initialization Behaviour", "configuration-samples.html#default-initialization", null ],
        [ "XML Files", "configuration-samples.html#xmlfiles", [
          [ "XML Example 1", "configuration-samples.html#xml-example-1", null ],
          [ "XML Example 2", "configuration-samples.html#xml-example-2", null ],
          [ "XML Example 3", "configuration-samples.html#xml-example-3", null ],
          [ "XML Example 4", "configuration-samples.html#xml-example-4", null ]
        ] ]
      ] ],
      [ "Filtering Log Messages", "filters.html", [
        [ "Labeling Log Output", "filters.html#labeling-log-output", null ],
        [ "Excluding Log Output", "filters.html#excluding-log-output", null ],
        [ "MapFilter", "map-filter.html", null ],
        [ "LocationInfoFilter", "location-info-filter.html", null ]
      ] ],
      [ "Qt Support", "qt-support.html", null ],
      [ "Stacktrace Support", "stacktrace-support.html", [
        [ "Putting the stacktrace into the MDC", "stacktrace-support.html#autotoc_md44", null ]
      ] ],
      [ "Extending Log4cxx", "extending-log4cxx.html", null ],
      [ "Threading", "threading.html", [
        [ "Unexpected Exit", "threading.html#unexpected-exit", null ],
        [ "Signal Handling with Log4cxx", "threading.html#signal-handling", [
          [ "Configuring Thread", "threading.html#configuring", null ]
        ] ]
      ] ],
      [ "Logging With Multiple Processes", "multiprocess-logging.html", null ],
      [ "Environment Variables Used by Log4cxx", "environment-variables.html", null ],
      [ "Preprocessor Macros Influencing Log4cxx", "macros-influencing-log4cxx.html", null ],
      [ "Internal Debugging", "internal-debugging.html", null ],
      [ "Log4cxx Performance", "performance.html", null ],
      [ "Conclusions", "conclusions.html", null ],
      [ "Frequently Asked Technical Questions", "faq.html", [
        [ "How do I add a custom level to Apache Log4cxx?", "faq.html#custom_levels", null ],
        [ "My application on Windows crashes on shutdown?", "faq.html#msvc_crash", null ],
        [ "Does Apache Log4cxx support Unicode?", "faq.html#unicode_supported", null ],
        [ "Does Log4cxx support logging at process termination?", "faq.html#atexit_events", null ]
      ] ],
      [ "Usage with your build system", "buildsystems.html", [
        [ "How do I use Log4cxx with CMake?", "buildsystems.html#use_with_cmake", null ],
        [ "How do I use Log4cxx with CMake and pkg-config?", "buildsystems.html#use_with_cmake_pkgconfig", null ],
        [ "How do I use Log4cxx with QMake?", "buildsystems.html#use_with_qmake", null ],
        [ "How do I use Log4cxx with plain Make?", "buildsystems.html#use_with_make", null ]
      ] ],
      [ "Log Flow", "log-flow.html", null ]
    ] ],
    [ "Get", "get.html", [
      [ "Download", "download.html", [
        [ "Download Apache Log4cxx 1.2.0", "download.html#autotoc_md45", [
          [ "Previous Releases", "download.html#autotoc_md46", null ]
        ] ]
      ] ],
      [ "Changelog", "changelog.html", [
        [ "Release History", "changelog.html#autotoc_md0", [
          [ "Release 1.2.0 - 2023-XX-01", "changelog.html#rel_1_2_0", null ],
          [ "Release 1.1.0 - 2023-05-01", "changelog.html#rel_1_1_0", null ],
          [ "Release 1.0.0 - 2023-01-01", "changelog.html#rel_1_0_0", null ],
          [ "Bug", "changelog.html#autotoc_md1", null ],
          [ "New Feature", "changelog.html#autotoc_md2", null ],
          [ "Improvement", "changelog.html#autotoc_md3", null ],
          [ "Release 0.13.0 - 2022-04-15", "changelog.html#rel_13_0", null ],
          [ "Bug", "changelog.html#autotoc_md4", null ],
          [ "New Feature", "changelog.html#autotoc_md5", null ],
          [ "Improvement", "changelog.html#autotoc_md6", null ],
          [ "Wish", "changelog.html#autotoc_md7", null ],
          [ "Release 0.12.1 - 2021-09-21", "changelog.html#rel_12_1", null ],
          [ "Bug", "changelog.html#autotoc_md8", null ],
          [ "Release 0.12.0 - 2021-05-01", "changelog.html#rel_12_0", null ],
          [ "Bug", "changelog.html#autotoc_md9", null ],
          [ "New Feature", "changelog.html#autotoc_md10", null ],
          [ "Improvement", "changelog.html#autotoc_md11", null ],
          [ "Release 0.11.0 - 2020-08-09", "changelog.html#rel_11_0", null ],
          [ "Release 0.10.0 - 2008-04-03", "changelog.html#rel_10_0", null ],
          [ "Release 0.9.7 - 2004-05-10", "changelog.html#rel_9_7", null ],
          [ "Release 0.9.6 - 2004-04-11", "changelog.html#rel_9_6", null ],
          [ "Release 0.9.5 - 2004-02-04", "changelog.html#rel_9_5", null ],
          [ "Release 0.9.4 - 2003-10-25", "changelog.html#rel_9_4", null ],
          [ "Release 0.9.3 - 2003-09-19", "changelog.html#rel_9_3", null ],
          [ "Release 0.9.2 - 2003-08-10", "changelog.html#rel_9_2", null ],
          [ "Release 0.9.1 - 2003-08-06", "changelog.html#rel_9_1", null ],
          [ "Release 0.9.0 - 2003-08-06", "changelog.html#rel_9_0", null ],
          [ "Release 0.1.1 - 2003-07-09", "changelog.html#rel_1_1", null ],
          [ "Release 0.1.0 - 2003-07-08", "changelog.html#rel_1_0", null ],
          [ "Release 0.0.1 - 2003-05-31", "changelog.html#rel_0_1", null ]
        ] ]
      ] ],
      [ "License", "license.html", [
        [ "Overview", "license.html#autotoc_md42", [
          [ "Project License", "license.html#autotoc_md43", null ]
        ] ]
      ] ]
    ] ],
    [ "Build", "build.html", [
      [ "Building", "building.html", [
        [ "Building Apache Log4cxx", "building.html#autotoc_md25", [
          [ "Covered by Github", "building.html#autotoc_md26", null ],
          [ "Covered by the team", "building.html#autotoc_md27", null ]
        ] ]
      ] ],
      [ "Log4cxx Dependencies", "dependencies.html", [
        [ "APR+APR-Util", "dependencies.html#autotoc_md28", null ],
        [ "sed+gzip+zip", "dependencies.html#autotoc_md29", null ],
        [ "Optional Dependencies", "dependencies.html#autotoc_md30", [
          [ "A note on C++ version and Boost", "dependencies.html#autotoc_md31", null ]
        ] ],
        [ "Licenses(direct dependencies only)", "dependencies.html#autotoc_md32", null ]
      ] ],
      [ "Building with CMake", "build-cmake.html", [
        [ "Quick start:", "build-cmake.html#autotoc_md14", null ],
        [ "CMake options", "build-cmake.html#autotoc_md15", null ],
        [ "Platform specific notes:", "build-cmake.html#autotoc_md16", [
          [ "Mac OS/X:", "build-cmake.html#autotoc_md17", null ],
          [ "Debian:", "build-cmake.html#autotoc_md18", null ],
          [ "FreeBSD:", "build-cmake.html#autotoc_md19", null ],
          [ "Windows:", "build-cmake.html#autotoc_md20", null ]
        ] ],
        [ "Using Log4cxx in a CMake build", "build-cmake.html#autotoc_md21", null ]
      ] ],
      [ "Building with vcpkg", "build-vcpkg.html", [
        [ "Building Apache Log4cxx with vcpkg", "build-vcpkg.html#autotoc_md22", [
          [ "Preparation", "build-vcpkg.html#autotoc_md23", null ],
          [ "Building log4cxx.dll", "build-vcpkg.html#autotoc_md24", null ]
        ] ]
      ] ]
    ] ],
    [ "Develop", "development-overview.html", [
      [ "Source Repository", "source-repository.html", [
        [ "Overview", "source-repository.html#autotoc_md33", [
          [ "Web Access", "source-repository.html#autotoc_md34", null ],
          [ "Anonymous access", "source-repository.html#autotoc_md35", null ],
          [ "Pull Requests", "source-repository.html#autotoc_md36", null ]
        ] ]
      ] ],
      [ "Library Design Notes", "library-design.html", [
        [ "Use of class-specific structs to hold data.", "library-design.html#autotoc_md38", null ],
        [ "Inheriting classes with private data", "library-design.html#autotoc_md39", [
          [ "Example", "library-design.html#autotoc_md40", null ]
        ] ],
        [ "See Also", "library-design.html#autotoc_md41", null ]
      ] ]
    ] ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ],
    [ "Apache", "^https://www.apache.org", null ],
    [ "Logging Services", "^https://logging.apache.org", null ],
    [ "Github", "^https://github.com/apache/logging-log4cxx", null ]
  ] ]
];

var NAVTREEINDEX =
[
"MyApp-qt_8cpp-example.html",
"classlog4cxx_1_1ConsoleAppender.html#afb96a5cd5d343e9241606a32e77af1f0",
"classlog4cxx_1_1Layout.html#aec03a5c7a24402788e463eb74e97a927",
"classlog4cxx_1_1Logger.html#ac466584a8c1c32a55a88575134238f30",
"classlog4cxx_1_1db_1_1ODBCAppender.html",
"classlog4cxx_1_1helpers_1_1AppenderAttachableImpl.html",
"classlog4cxx_1_1helpers_1_1DatagramPacket.html#a7891bf95655aaa54ad38f9423ca98773",
"classlog4cxx_1_1helpers_1_1InterruptedIOException.html#ab32faf95d29085a9603766f1fc5f68e8",
"classlog4cxx_1_1helpers_1_1Properties.html#af6489412191e6e266a1bebafb93ebaef",
"classlog4cxx_1_1helpers_1_1UniCharMessageBuffer.html#a40b21f61b00d28d1c33ee4c33fc61726",
"classlog4cxx_1_1net_1_1SMTPAppender.html#a14115fccb93f1a0b5893945ada224028",
"classlog4cxx_1_1pattern_1_1CachedDateFormat.html#ae79067db71f072c9a27e9aa50a8265ed",
"classlog4cxx_1_1pattern_1_1ShortFileLocationPatternConverter.html#a396d6dfb470ffd51a8bf38795cafd3fd",
"classlog4cxx_1_1rolling_1_1RolloverDescription.html#a85158cc89df3e97f7a53caf559671657",
"classlog4cxx_1_1spi_1_1OptionHandler.html",
"dir_c34ab60f5215f15fb8bfbfb9923e9342.html",
"log4cxx_2helpers_2messagebuffer_8h.html#aa49a9dd3aa56788aabbf121e7b391da7",
"namespacelog4cxx_1_1varia.html",
"xmllayout_8h.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';